.legents-box {
  font-weight: 500;
  .legent-data {
    margin: 2px 0 0 20px;
    display: flex;
    .square-border {
      width: 20px;
      height: 15px;
      margin: 0 5px 0 0;
    }
    .border-yello {
      border: 2px solid yellow;
      background: #ffff0024;
    }

    .border-white {
      border: solid 1px #c3cbce;
    }
  }
}

.product-data-section {
  display: flex;
  flex-direction: column;
  background-color: white;

  .detail-title {
    padding-bottom: 5px;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #4e585c;
  }

  .config {
    padding-top: 8px;
    cursor: pointer;
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: 500;
    color: var(--primary);
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
  }

  .select-all-rows {
    display: flex;
    align-items: center;

    .selection {
      padding-bottom: 0;
    }

    .checkbox-holder {
      padding-bottom: 0;
      font-size: var(--font-m);
      margin-top: 0px;
    }

    .exclude-services-checkbox {
      margin-left: 12px;
    }

    .selection-count {
      padding-bottom: 0;
      font-size: var(--font-m);
      padding-left: 15px;
      color: var(--primary);
    }

    .search-order-tracking {
      margin: 0;
      .field__label {
        display: none !important;
      }
      .field__input.row {
        background: white;
      }
      span.field__error {
        display: none;
      }
    }

    .search-order-tracking-outside {
      padding: 0;
      width: 250px;
      margin-left: 12px;
      margin-top: 5px;
    }
  }

  .section-title {
    width: 175px;
    font-size: var(--font-m);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #001f2b;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 30px;
  }

  .product-details-container {
    display: flex;
    flex-direction: column;
    padding: 20px 20px;
    border: solid 1px #c3cbce;
    margin: 10px 30px;
    padding: 10px 15px;
    padding-bottom: 0px;
    .ingram-tooltip {
      margin: 0 0 0 -1px;
      display: inline;
      img {
        width: 10px;
      }
    }
  }
  .shipped-quantity {
    border: 2px solid yellow;
    background: #ffff0024;
  }

  .selected {
    border: solid 1px #00a0dc;
  }

  .product-detail {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    .product-data {
      font-size: var(--font-m);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.29;
      letter-spacing: normal;
      // text-align: left;
      color: #001f2b;
    }

    .purchased-qty,
    .shipped-qty {
      width: 50px;
      margin-left: 10px;
      border-radius: 4px;
    }

    .po-description {
      max-width: 300px;
    }
  }

  .top-secton {
    padding-bottom: 8px;
    border-bottom: solid 1px #c3cbce;

    .product-id {
      .checkbox-holder {
        margin: 0px;
      }
    }

    .add-config-or {
      display: flex;
      align-items: center;
      border-left: solid 1px #dce6ea;
      padding-left: 10px;
      width: 145px;

      .custom-config-tooltip {
        width: 140px;
        font-family: Montserrat;
        font-size: 12px;
        font-weight: normal;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #ffffff;

        .title {
          font-weight: 600;
        }
      }

      .checkbox-holder {
        margin: 0px;
      }
    }

    .recieved-qty-actions {
      .or-action-item {
        width: 70px;
        height: 20px;
        padding: 1px 13px 8px 9px;
        border-radius: 2px;
        margin-right: 2px;
        cursor: pointer;
        border: solid 1px #dce6ea;
        background-color: #dce6ea;
        color: #808688;
        font-size: 14px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
      }

      .active {
        border-radius: 2px;
        border: solid 1px #00a0dc;
        background-color: #00a0dc;
        color: white;
      }
    }

    .qty-action-tabs {
      display: flex;
    }

    .custom-recieved-qty {
      padding: 0px !important;
      margin-top: -16px;
      padding-left: 2px;
      width: 115px;
    }
  }

  .middle-section {
    padding-top: 10px;

    .mapped-carrier-container {
      .field-section {
        width: 130px;
      }
    }

    .field-section {
      padding: 0px;

      .field__input {
        textarea {
          height: 50px;
        }
      }
    }

    .tag-input {
      display: flex;
      flex-direction: column;
      flex: 0.4;

      .detail-title {
        padding-bottom: 5px;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #4e585c;
      }

      .react-tagsinput {
        .react-tagsinput-input {
          margin-top: 0;
          padding: 0;
        }

        .react-tagsinput-tag {
          padding: 0px;
          padding-left: 2px;
          padding-right: 2px;
        }
      }
    }
  }

  .bottom-section {
    padding-top: 8px;
    // padding-bottom: 25px;

    .mapped-carrier-container {
      .field-section {
        width: 130px;
      }
    }

    .field-section {
      padding: 0px;

      .field__input {
        textarea {
          height: 50px;
        }
      }
    }
  }
}
